DEEPIN-GENERATE-MO(1)

NAME
deepin-generate-mo - generate mo file from po file using deepin ini config file

SYNOPSIS
deepin-generate-mo [-h --copy] inifile

DESCRIPTION
This manual page documents briefly the deepin-generate-mo command as provided by deepin-gettext-tools package.

deepin-generate-mo is a utility that generate gettext MO files from gettext PO files using instructions from certain ini config file.

Such workflow is adopted by most Deepin software.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For latest descriptions as provided by the tool, invoke the tool with -h option.

-h, --help
    Show help messages and exit.

--copy
    Also execute commands similar to "sudo cp *.mo /usr/share/locale".

SEE ALSO

deepin-update-pot(1), deepin-desktop-ts-convert(1), deepin-policy-ts-convert(1).

The programs are further documented in the README.md as provided with this debian package under /usr/share/doc/deepin-gettext-tools/ directory.

AUTHOR

deepin-gettext-tools is written by Deepin Technology Co., Ltd.

This manual page was written by Boyuan Yang (073plan@gmail.com) for the Debian Project (but may be used by others).